Bug 45623 - Loading screen does not work
Loading screen does not work
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Software monitor
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-01 10:05 CET by Jannik Ahlers
Modified: 2017-12-06 16:23 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
This gets displayed when loading (21.28 KB, image/png)
2017-11-01 10:05 CET, Jannik Ahlers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jannik Ahlers univentionstaff 2017-11-01 10:05:01 CET
Created attachment 9268 [details]
This gets displayed when loading

When the software monitor module is loading,it shows a search box that is not working instead of the default loading animation.
Comment 1 Florian Best univentionstaff 2017-11-08 15:10:07 CET
Could you have a look why this doesn't work?

I think there is a this.standbyDuring() missing around the deferred this._searchForm.ready() and during some tools.umcpCommand() calls.
Comment 2 Jannik Ahlers univentionstaff 2017-11-28 09:12:56 CET
Fixed in branch jahlers/45623-loading-screen
Comment 3 Florian Best univentionstaff 2017-11-29 15:32:53 CET
You can merge the changes. Please adjust the description in the YAML to
something like the following:
Loading animations are now shown in the UMC module.
Comment 4 Florian Best univentionstaff 2017-11-30 14:40:49 CET
Hm, the changes don't work on my system. I don't see any standby animations during the loading of the module.
Comment 5 Florian Best univentionstaff 2017-12-04 14:19:25 CET
Probably the standby() and standbyDuring() function needs to be given to the Page-instances via lang.hitch().
Comment 6 Johannes Keiser univentionstaff 2017-12-04 16:20:43 CET
univention-pkgdb (10.0.2-5)

e6e2bf3 Bug #45623: Adjust standby for pkgbd UMD module

YAML (280897e Bug #45623: YAML - update version)
Comment 7 Florian Best univentionstaff 2017-12-04 17:14:28 CET
OK: standby animations are shown again.
Comment 8 Arvid Requate univentionstaff 2017-12-06 16:23:37 CET
<http://errata.software-univention.de/ucs/4.2/240.html>